package org.springblade.flow.engine.enums;

/**
 * @Author:LoveMyOrange
 * @Description: 跳过策略?
 * @Date:Created in 2022/4/15 12:22
 */
public enum  FlowSkipStrategyEnums {
    NONE("无",0),
    ENTRUST_ADMIN("转交给管理员",1),
    AUTO_COMPLETE("自动通过",2);

    private String strategyName;
    private Integer strategyCode;

    public String getStrategyName() {
        return strategyName;
    }

    public void setStrategyName(String strategyName) {
        this.strategyName = strategyName;
    }

    public Integer getStrategyCode() {
        return strategyCode;
    }

    public void setStrategyCode(Integer strategyCode) {
        this.strategyCode = strategyCode;
    }

    FlowSkipStrategyEnums(String strategyName, Integer strategyCode) {
        this.strategyName = strategyName;
        this.strategyCode = strategyCode;
    }

}
